<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
	
	<sql-query name="QueryRoomServiceState">
		<return-scalar column="DND" type="int" />
		<return-scalar column="Clean" type="int" />
		<return-scalar column="Call" type="int" />
		<return-scalar column="Checkout" type="int" />
		<return-scalar column="SOS" type="int" />
		<return-scalar column="Laundry" type="int" />
		<return-scalar column="Luggage" type="int" />
		<return-scalar column="MealDelivery" type="int" />
		<return-scalar column="DrawCloth" type="int" />
		exec QueryRoomServiceState
	</sql-query>

	<sql-query name="QueryRoomRentState">
		<return-scalar column="RentedRoom" type="int" />
		<return-scalar column="RoomForRent" type="int" />
		<return-scalar column="CheckoutRoom" type="int" />
		<return-scalar column="EmptyRoom" type="int" />
		<return-scalar column="RoomTotal" type="int" />
		<return-scalar column="RentPercent" type="int" />
		<return-scalar column="SomeoneRentRoom" type="int" />
		<return-scalar column="NoOneRentRoom" type="int" />
		<return-scalar column="SomeoneNotRentRoom" type="int" />
		<return-scalar column="NoOneNotRentRoom" type="int" />
    exec QueryRoomRentState :hotelID
  </sql-query>

	<sql-query name="QueryRoomState">
		<return-scalar column="ConnectingRoom" type="int" />
		<return-scalar column="NotEnergySavingRoom" type="int" />
		<return-scalar column="FaultRoom" type="int" />
		<return-scalar column="SunRoom" type="int" />
		<return-scalar column="GroupOrientedLeasingRoom" type="int" />
		<return-scalar column="SuiteRoom" type="int" />
		<return-scalar column="ReligiousRoom" type="int" />
		<return-scalar column="AmbulatoryRoom" type="int" />
		<return-scalar column="VIPRoom" type="int" />
		exec QueryRoomState
	</sql-query>

	<sql-query name="QueryAirConditionState">
		<return-scalar column="Running" type="int" />
		<return-scalar column="NoRunning" type="int" />
		<!--<return-scalar column="SpeedLow" type="int" />
		<return-scalar column="SpeedMedium" type="int" />
		<return-scalar column="SpeedHigh" type="int" />
		<return-scalar column="ColdValveOn" type="int" />
		<return-scalar column="ThermalValveOn" type="int" />
		<return-scalar column="LockModeRoom" type="int" />
		<return-scalar column="TimingRoom" type="int" />
		<return-scalar column="ManualModeRoom" type="int" />
		<return-scalar column="DisableSpeedHighRoom" type="int" />
		<return-scalar column="EnableRoomStatusRoom" type="int" />
		<return-scalar column="EnableSleepModeRoom" type="int" />-->
    exec QueryAirConditionState :hotelID
  </sql-query>
  <sql-query name="QueryDoorState">
    <return-scalar column="RoonOpen" type="int" />
    <return-scalar column="RoomClose" type="int" />
    exec QueryDoorState :hotelID
  </sql-query>
  <sql-query name="QuerySafeBoxState">
    <return-scalar column="SafeNormalSwitch" type="int" />
    <return-scalar column="GuestsAreNotSafeOpen" type="int" />
    <return-scalar column="CheckOutTheSafeShutdown" type="int" />
    exec QuerySafeBoxState
  </sql-query>
</hibernate-mapping>